
#include "mbed.h"
#include "SI1143.h"

//DigitalOut enable(p30);

Ticker timer;

I2C* i2c = new I2C(p28, p27);

DigitalOut led1(LED1);
DigitalOut led2(LED2);
DigitalOut led3(LED3);
DigitalOut led4(LED4);

//DigitalIn s2(p29);

SI1143 sensor1(i2c, p30, p29, 0x01);
SI1143 sensor2(i2c, p25, p26, 0x02); // p25, p26

//InterruptIn prox_meas(p26); //26

int sense1a, sense1b, sense2a, sense2b;

void meas_int(){
    led1 = 1;
    sense1a = sensor1.get_ps1(1);
    sense1b = sensor1.get_ps2(1);
    sense2a = sensor2.get_ps1(1);
    sense2b = sensor2.get_ps2(1);
    printf("%d,  %d,  %d,  %d;\r\n",sense1a, sense1b, sense2a, sense2b);
    //printf("%d\r\n",sense2);
    led1 = 0;
}

int main()
{   
    // Setup the baseline
    //sensor1.restart(i2c, 0x01);
    //printf("%d    ",sensor1.adrs);
    //sensor2.restart(i2c, 0x02);
    //printf("%d\r\n",sensor2.adrs);    
    led2 = 0;
    wait(1);
    timer.attach(&meas_int, 0.01);

    while(1)
    {
        // Read each led sensor
        //sense1 = sensor.get_ps1(1);
                
        //Numeriacl output through terminal
        led1 = 0;
        led2 = 0;
    }
}